package _07_有参数无返回值;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 每一个需求都是一个单独的方法
         *
         * 打印两个数的和
         * 打印一个数的阶乘
         *判断一个数是否是另外一个数的倍数
         */
//        sum(1,2);
//        printFactorial(5);
        checkMultiple(3,9);
        checkMultiple(4,8);
        checkMultiple(4,5);
    }

    /**
     * 判断一个数是否是另外一个数的倍数
     * checkMultiple
     */
    public static void checkMultiple(int num,int multiple){
        // 如果求余数为0
        if(multiple % num == 0){
            System.out.println(multiple +"是" +num +"倍数");
        } else{
            System.out.println(multiple +"不是" +num +"倍数");
        }
    }
    /**
     * 打印一个数的阶乘5
     */
    public static void printFactorial(int factorial){
        int x = 1;
        for (int i = 1; i <= factorial; i++) {
            x *= i;
        }
        System.out.println(x);
    }


    /**
     * 求两个数的和
     */
    public static  void sum(int a , int b){
        System.out.println(a+b);
    }
}
